#ifndef __TEXTURE_H_
#define __TEXTURE_H_

#include "Nameable.h"
#include "Vec3.h"

#include <vector>

namespace ambenv {
  
  class Texture : public Nameable {
    
  public:
    Texture();
    
    std::string filename;
    unsigned m_width;
    unsigned m_height;
    std::vector<unsigned char> m_data;
    unsigned m_textureId;
    unsigned m_glTextureId;
    Real m_tcoord[4];

  };

}; /* namespace ambenv */

#endif /* __TEXTURE_H_ */
