#ifndef __INTERSECT_H_
#define __INTERSECT_H_


#ifdef __cplusplus
extern "C" {
#endif

/*!
* This method was taken from "Fast, Minimum Storage Ray-Triangle Intersection", 
* by Tomas Moller and Ben Trumbore.
* http://www.acm.org/jgt/papers/MollerTrumbore97/
*/
int intersect_triangle( float orig[3], float dir[3],
			float vert0[3], float vert1[3], float vert2[3],
			float *t, float *u, float *v );

#ifdef __cplusplus
}
#endif

#endif /* __INTERSECT_H_ */
